%define name	ltrace
%define version	0.6
%define svn	77
%if %svn
%define release	%mkrel 0.%svn.1
%else
%define release	%mkrel 1
%endif

Summary:	Track runtime library calls from dynamically linked executables
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://svn.debian.org/wsvn/ltrace
# check out svn://svn.debian.org/ltrace/ltrace/trunk and compress
Source0:	ltrace-%{svn}.tar.bz2
# fedora patch:
Patch5:		ltrace-0.5-testsuite.patch
# debian patch, stripped of debian-specific stuff:
Patch100:	ltrace_0.4-2.diff
License:	GPLv2+
Group:		Development/Other
ExclusiveArch:	%{ix86} x86_64 ppc x86_64 sparc alpha
BuildRequires:	elfutils-devel
%if %svn
BuildRequires:	autoconf
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ltrace is a debugging program which runs a specified command until the
command exits.  While the command is executing, ltrace intercepts and
records both the dynamic library calls called by the executed process
and the signals received by the executed process.  Ltrace can also
intercept and print system calls executed by the process.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep
%if %svn
%setup -q -n %{name}
%else
%setup -q
%endif

%patch5 -p1

%patch100 -p1

%build
%if %svn
./autogen.sh
%endif
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc
rm -fr $RPM_BUILD_ROOT%_docdir/%name

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO BUGS
%{_bindir}/ltrace
%{_mandir}/man1/ltrace.1*
%config(noreplace) %{_sysconfdir}/ltrace.conf



%changelog
* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.com> 0.6-0.77.1mdv2008.0
+ Revision: 68826
- rebuild for 2008
- don't package debian changelog and license
- strip debian patch of debian-specific stuff
- drop patches 2, 3 and 4 (merged or equivalent merged upstream)
- update URLs
- use Fedora license policy
- update to latest SVN rev 77
- correct versioning
- spec clean


* Fri Aug 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1.45svnmdv2007.0
- new release
- added fedorad patches
- updated debian (useless for now)

* Fri Aug 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4-1mdv2007.0
- new release (#24430)
- kill patch 2: merged upstream

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.3.36-3mdk
- Rebuild

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.36-2mdk
- fix buildrequires

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.36-1mdk
- 0.3.36 (sync with fedora)
- build on alpha & sparc too

